# Method: creatives.create

- [HTTP request](https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#body.request_body)
  - [JSON representation](https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#body.response_body)
- [DynamicCreativeInfo](https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#DynamicCreativeInfo)
  - [JSON representation](https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#DynamicCreativeInfo.SCHEMA_REPRESENTATION)

Creates a Creative. Returns a Creative in the `https://developers.google.com/video-creative-ingest/rest/v1/operations#Operation.FIELDS.response` field when it completes successfully, or a `google.rpc.Code` upon failure. Returns CreateCreativeOperationMetadata including the status of ingestion in the `https://developers.google.com/video-creative-ingest/rest/v1/operations#Operation.FIELDS.metadata` field.

### HTTP request

`POST https://dai.googleapis.com/v1/creatives`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "creative": { object (`https://developers.google.com/video-creative-ingest/rest/v1/creatives#Creative`) }, "dynamicCreativeInfo": { object (`https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#DynamicCreativeInfo`) } } ``` |

| Fields ||
|---|---|
| `creative` | ``object (`https://developers.google.com/video-creative-ingest/rest/v1/creatives#Creative`)`` The creative to be ingested. |
| `dynamicCreativeInfo` | ``object (`https://developers.google.com/video-creative-ingest/rest/v1/creatives/create#DynamicCreativeInfo`)`` Information about the dynamic creative. Required if the creative to be ingested is dynamic. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/video-creative-ingest/rest/v1/operations#Operation`.

## DynamicCreativeInfo

Information necessary for a dynamic creative to perform VCL processing.

| JSON representation |
|---|
| ``` { "dynamicGroupId": string, "activeDuration": string } ``` |

| Fields ||
|---|---|
| `dynamicGroupId` | `string` An ID that represents the core video ad of the creative. All dynamic creatives under the same dynamic group id can be considered to have the same content but with different dynamic aspects to the creative. |
| `activeDuration` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` The duration for which this creative is considered active and in use for. After this time, the creative will be scheduled for deletion in the video creative repository. The duration will be capped at 180 days. If this field is left unspecified, a default duration time of 30 days will be applied. A duration in seconds with up to nine fractional digits, ending with '`s`'. Example: `"3.5s"`. |